be.ehealth.businessconnector.dmg.domain

## Class DmgBuilderResponse

- java.lang.Object
- - be.ehealth.businessconnector.dmg.domain.DmgBuilderResponse

-     public class DmgBuilderResponse
      extends Object

  DMG Response class definition, used by `ResponseObjectBuilder` to handle the WS response

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `RESULT_AS_BYTE` key in map for item that holds the business answer in the details as byte array.
    `static String` | `RESULT_AS_KMEHR_MESSAGE` key in map for item that holds the kmehrMessage jaxb object ( if that was in the response ) or IllegalArgumentException if parsing of the jaxb object failed.
    `static String` | `RESULT_AS_OBJ_RETRIEVE` key in map for item that holds the RetrieveTransactionResponse jaxb object ( if that was in the response ) or IllegalArgumentException if parsing of the jaxb object failed.
    `static String` | `RESULT_AS_OBJ_SEND` key in map for item that holds the SentTransactionResponse jaxb object ( if that was in the response ) or IllegalArgumentException if parsing of the jaxb object failed.
    `static String` | `RESULT_EHEALTH_STATUS` key in map for item that holds the ehealth status of the response.
    `static String` | `RESULT_HAS_SIGNATURE` key in map for item that indicates if the response had a signature.
    `static String` | `RESULT_ORGINAL` key in map for item that holds the orignal message.
    `static String` | `RESULT_SIGINATURE_VERIFICATION` key in map for item that holds the signature verification result SignatureVerificationResult.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DmgBuilderResponse(Map<String,Object> result)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEhealthStatus()`
    `Kmehrmessage` | `getKmehrmessage()`
    `SendResponseType` | `getOriginalResponse()`
    `byte[]` | `getResponse()`
    `Map<String,Object>` | `getResult()`
    `RetrieveTransactionResponse` | `getRetrieveTransactionResponse()`
    `SendTransactionResponse` | `getSendTransactionResponse()`
    `SignatureVerificationResult` | `getSignatureVerificationResult()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RESULT_EHEALTH_STATUS

          public static final String RESULT_EHEALTH_STATUS

      key in map for item that holds the ehealth status of the response.
      See Also:
        Constant Field Values

    - #### RESULT_ORGINAL

          public static final String RESULT_ORGINAL

      key in map for item that holds the orignal message.
      See Also:
        Constant Field Values

    - #### RESULT_SIGINATURE_VERIFICATION

          public static final String RESULT_SIGINATURE_VERIFICATION

      key in map for item that holds the signature verification result SignatureVerificationResult.
      See Also:
        Constant Field Values

    - #### RESULT_HAS_SIGNATURE

          public static final String RESULT_HAS_SIGNATURE

      key in map for item that indicates if the response had a signature.
      See Also:
        Constant Field Values

    - #### RESULT_AS_BYTE

          public static final String RESULT_AS_BYTE

      key in map for item that holds the business answer in the details as byte array.
      See Also:
        Constant Field Values

    - #### RESULT_AS_OBJ_RETRIEVE

          public static final String RESULT_AS_OBJ_RETRIEVE

      key in map for item that holds the RetrieveTransactionResponse jaxb object ( if that was in the response ) or IllegalArgumentException if parsing of the jaxb object failed.
      See Also:
        Constant Field Values

    - #### RESULT_AS_OBJ_SEND

          public static final String RESULT_AS_OBJ_SEND

      key in map for item that holds the SentTransactionResponse jaxb object ( if that was in the response ) or IllegalArgumentException if parsing of the jaxb object failed.
      See Also:
        Constant Field Values

    - #### RESULT_AS_KMEHR_MESSAGE

          public static final String RESULT_AS_KMEHR_MESSAGE

      key in map for item that holds the kmehrMessage jaxb object ( if that was in the response ) or IllegalArgumentException if parsing of the jaxb object failed.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DmgBuilderResponse

          public DmgBuilderResponse(Map<String,Object> result)

  - ### Method Detail

    - #### getResult

          public Map<String,Object> getResult()

      Returns:
        the result

    - #### getEhealthStatus

          public String getEhealthStatus()

    - #### getOriginalResponse

          public SendResponseType getOriginalResponse()

    - #### getSignatureVerificationResult

          public SignatureVerificationResult getSignatureVerificationResult()

    - #### getRetrieveTransactionResponse

          public RetrieveTransactionResponse getRetrieveTransactionResponse()

    - #### getKmehrmessage

          public Kmehrmessage getKmehrmessage()

    - #### getSendTransactionResponse

          public SendTransactionResponse getSendTransactionResponse()

    - #### getResponse

          public byte[] getResponse()

Connector Packaging PERSPHYSICIAN 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.